@import url('https://fonts.googleapis.com/css2?family=Roboto+Mono:wght@300;400&display=swap');

html,
body {
  height: 100%;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 12pt;

  margin: 0;
  padding: 0;
}

body {
  overflow: hidden;
}

.app {
  height: 100%;
  width: 100%;
}

#renderer-container {
  height: 100%;
  width: 100%;
}

#renderer {
  cursor: grab;
}

#renderer:active {
  cursor: move;
}

@media (prefers-color-scheme: dark) {
  body {
    color: white;
    background-color: #161616;
  }
}

.noselect {
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none; /* Safari */
  -khtml-user-select: none; /* Konqueror HTML */
  -moz-user-select: none; /* Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
  user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome and Opera */
}
